Spring Framework 5.0 正式版 - 支持响应式编程

Spring Framework 5.0 正式版 - 支持响应式编程

🗨

Spring Framework 5.0 GA 稳定版已正式发布。

经过一年多的里程碑版和 RC 版,以及将近两年的开发,Spring Framework 5.0 GA 稳定版现已正式发布。可从 repo.spring.io 和 Maven Central 获得。

这个全新一代的框架带来了以下新特性:

  • 支持 JDK 9 和 Java EE 8 级别的 API(如 Servlet 4.0)

  • 与 Reactor 3.1, JUnit 5, 和 Kotlin 语言的全面集成

  • 带来了许多函数式 API 变体 (functional API variants)

  • 响应式堆栈 Web 框架 —— Spring WebFlux

此外,值得注意的是,整个 Spring Framework 5.0 代码库运行于 Java 8 之上。因此 Spring Framework 5.0 对环境的最低要求是 Java 8。

可以看到,Spring Framework 5.0 的亮点是响应式编程,这是一个重要的范式转变。随着响应式编程越来越受欢迎,我们可以期待越来越多的技术将实现响应式解决方案。

Maven

 

<dependencies>
    <dependency>
        <groupId>org.springframework</groupId>
        <artifactId>spring-context</artifactId>
        <version>5.0.0.RELEASE</version>
    </dependency>
</dependencies>

 

 

Gradle

 

dependencies {
    compile 'org.springframework:spring-context:5.0.0.RELEASE'
}

频道:Java
扫描本文章二维码可手机访问: